Subject: Re: [REQ] Better error reporting when git rebase cannot rebase

From: Jake Goulding <[email-masked]>
Date: Thu, 03 Apr 2008 09:38:35 -0400

Jeff King wrote:
> 
> Unfortunately I am not sure of the best way to fix this message. It
> happens at a very low level in read-cache.c, and so it shows up in
> several different places. I am not even sure of all the places you can
> see it, so coming up with different text that makes more sense is
> non-trivial.
> 

I was afraid that something like that might be the case. Would it be 
worth putting in a second request to make that message more specific?

> But this is, I think, a slightly separate issue, which is that rebase
> just bails without saying why. And that's easy to fix. How about this?
> 
 > [.snip.]

That seems good to me. I think the important thing is to make sure that 
the user is aware that what they wanted to do did not happen.